Get all workflows

Returns paginated workflow definitions for the authenticated platform. Use this to inspect workflow definitions, their target use cases, and their current status. Requires the WORKFLOW.VIEW permission.

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Query parameters

limitintegerOptional
The amount of records shown in the list
pageintegerOptional
The page which is going to be shown
order_bystringOptional
The parameter by which the response is ordered.
order_directionstringOptional
The order direction by which the response is ordered.

Response

OK
datalist of objects
Page data.
limitinteger or null
Page size limit used for this response.
pageinteger or null

Current page number (1-indexed).

total_number_of_pagesinteger or nullDeprecated
Deprecated. Not supported anymore.

Errors

401
Unauthorized Error
403
Forbidden Error